Skip to main content
`Ctrl`+`K`

# VecScatterFFTWToPetsc

Converts `MATFFTW` output vector to a PETSc vector.

## Synopsis

    #include "petscmat.h"
    #include "petscvec.h"
    PetscErrorCode VecScatterFFTWToPetsc(Mat A, Vec x, Vec y)

Collective

## Input Parameters

- A - `MATFFTW` matrix

- x - FFTW vector

## Output Parameter

- y - PETSc vector

## Note

While doing real transform the FFTW output of backward DFT contains extra zeros at the end of last dimension. `VecScatterFFTWToPetsc()` removes those extra zeros.

## See Also

Matrices, `Mat`, `VecScatterPetscToFFTW()`, `MATFFTW`, `MatCreateVecsFFTW()`

## Level

intermediate

## Location

src/mat/impls/fft/fftw/fftw.c

## Examples

src/snes/tutorials/ex7.c

## Implementations

VecScatterFFTWToPetsc_FFTW() in src/mat/impls/fft/fftw/fftw.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages